List Secret Provider Usage in a gateway group
GET /api/gateway_groups/{gateway_group_id}/secret_providers/{secret_provider}/{secret_provider_id}/usage
GET /api/gateway_groups/{gateway_group_id}/secret_providers/{secret_provider}/{secret_provider_id}/usageInteractive request editor loads with JavaScript.
In: header
Path Parameters
Gateway group ID.
1 <= lengthSecret provider.
Value in
- "vault"
- "aws"
- "kubernetes"
Secret provider ID.
^[a-zA-Z0-9-_.]+$1 <= length <= 256Query Parameters
Resource type.
Value in
- "consumer"
- "service"
- "route"
- "ssl"
- "global_rule"
- "consumer_credential"
- "certificate"
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order resources by.
"updated_at"Value in
- "created_at"
- "updated_at"
Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/secret_providers/vault/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101/usage"Successfully retrieved the paginated list of secret provider usages.
{
"total": 1,
"list": [
{
"parent_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"resource_type": "route",
"resource_id": "b32e678e-7f6b-4a50-b113-550621ed4c01",
"resource_name": "us-west-rsc",
"gateway_group_id": "bc1b95c9-b348-4832-acc3-e257d2342df1",
"field": "key-auth/key",
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"secret_manager": "vault",
"created_at": 1742288232,
"updated_at": 1742288235
}
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/secret_providers/{secret_provider}/{secret_provider_id}/usage
List Secret Provider Usage in a gateway group
IAM Action: gateway:GetSecretProvider, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
gateway_group_id(path, string, required): Gateway group ID.secret_provider(path, string, required): Secret provider.secret_provider_id(path, string, required): Secret provider ID.resource_type(query, string, optional): Resource type.page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional): Index to order resources by.
Responses
200: Successfully retrieved the paginated list of secret provider usages.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): The array of Secret Usage.- allOf variant 1
list[].parent_id(string, optional): Parent ID, availble forrouteandconsumer_credentialresource types. For instance, when the resource type isroute, the parent ID is the service ID.list[].resource_type(string, optional): Type of the resource that uses secret.list[].resource_id(string, optional): ID of the resource that uses secret.list[].resource_name(string, optional): Resource name.list[].gateway_group_id(string, optional): The gateway group ID.list[].field(string, optional): Field in the resource that references the secret.list[].id(string, optional): ID of the secret provider.list[].secret_manager(string, optional): Secret manager.- allOf variant 2
list[].created_at(integer, optional): The object created timestamp.list[].updated_at(integer, optional): The object updated timestamp.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/secret_providers/{secret_provider}/{secret_provider_id}/usage'